/*
** xipcap.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 08:30:56 1999 
** Last update Thu Oct 28 20:24:41 1999 
*/
#ifndef XIPCAP_H
#define XIPCAP_H	1

#include "xip.h"

/* PROTO xipcap.c */
/* xipcap.c */
void set_hard_filter P((pcap_t *pcap, char *hard_filter));
t_status pat_get_from_pcap P((int pcap_link_type, t_pat **pat));
void make_packet_from_pp_and_buf P((struct pcap_pkthdr *pp, char *buf));
void read_pcap_handler P((struct s_singleton *s, struct pcap_pkthdr *pp, char *buf));
void read_pcap P((XtPointer closure, int *fd, XtInputId *id));
void read_pipe P((XtPointer closure, int *fd, XtInputId *id));
t_status xip_cap_init P((void));
#endif
